---
updatedAt: 2026-04-07T10:14:51.000Z
agentTools:
  siteIndex: https://developers.liveramp.com/llms.txt
  projectIndex: https://developers.liveramp.com/rampid-api/llms.txt
---

# Decrypt an Identity Envelope (Single Transaction)

Use the Identity Evelope API to decrypt a single identity envelope and receive a RampID.

> 📘 Single Transaction Calls
>
> To make single transaction calls, you need additional permissions from your LiveRamp representative.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "abilitec-api",
    "version": "1.2"
  },
  "servers": [
    {
      "url": "https://us.identity.api.liveramp.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/people/envelope?key=<envelope_string_representing_individual>": {
      "post": {
        "summary": "Decrypt an Identity Envelope (Single Transaction)",
        "description": "Use the Identity Evelope API to decrypt a single identity envelope and receive a RampID.",
        "operationId": "single-transaction-decrypt",
        "parameters": [
          {
            "name": "key",
            "in": "query",
            "description": "The input value of the identity envelope to decrypt.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"person\": {\n    \"anonymousAbilitec\": {\n      \"anonymousConsumerLink\": \"XiT001sgRRky74xZ6NrpSsF6z2ucg6TeV8rISolIhOMe-R94lh47QP2xuVITxFm6otlyrB\"\n    }\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "person": {
                      "type": "object",
                      "properties": {
                        "anonymousAbilitec": {
                          "type": "object",
                          "properties": {
                            "anonymousConsumerLink": {
                              "type": "string",
                              "example": "XiT001sgRRky74xZ6NrpSsF6z2ucg6TeV8rISolIhOMe-R94lh47QP2xuVITxFm6otlyrB"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -H \"Authorization: Bearer $TOKEN\" \\\n\"https://us.identity.api.liveramp.com/people/envelope/?key=AUGGsYEKVWxnDsHU6b65TfdHEmC0vY51YrJhxTTRtB54A5dTzdrLIQ\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```